summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2019-08-29 13:37:10 -0500
committerJory Pratt <anarchy@gentoo.org>2019-08-29 13:37:10 -0500
commita456c91e914efb919f34bf6b90b1b253c9062da9 (patch)
tree3160487109486fed89343907fd4cefa43a7dcf19 /mail-client
parentwww-client/firefox: Update rust/cbindgen dep (diff)
downloadmozilla-a456c91e914efb919f34bf6b90b1b253c9062da9.tar.gz
mozilla-a456c91e914efb919f34bf6b90b1b253c9062da9.tar.bz2
mozilla-a456c91e914efb919f34bf6b90b1b253c9062da9.zip
mail-client/thunderbird: add 68.0 initial ebuild with p.mask
Signed-off-by: Jory Pratt <anarchy@gentoo.org>
Diffstat (limited to 'mail-client')
-rw-r--r--mail-client/thunderbird/Manifest55
-rw-r--r--mail-client/thunderbird/files/1000_fix_gentoo_preferences.patch25
-rw-r--r--mail-client/thunderbird/thunderbird-68.0-r1.ebuild780
3 files changed, 860 insertions, 0 deletions
diff --git a/mail-client/thunderbird/Manifest b/mail-client/thunderbird/Manifest
index cb2a0a8..38785ee 100644
--- a/mail-client/thunderbird/Manifest
+++ b/mail-client/thunderbird/Manifest
@@ -1,4 +1,5 @@
DIST firefox-60.6-patches-07.tar.xz 37404 BLAKE2B 5516ff768bee0253131381fdba3e08785ab31bb29e44ad7f7e2956fb7624fafc9bf22f892ddbd0617e5e7d18500686a9975a60ea77d23a2853f35936cd142030 SHA512 3c4160e632155b0a239e22d0c1b1c701545b0f6d0915f9bdcf3b8431cee1abf650191ffafc5c3224a61279c8b1b52a80444c811a3914e16127411991c963292b
+DIST firefox-68.0-patches-10.tar.xz 14668 BLAKE2B 071e3377c0be2035e3f16c0b4492ebc681e6bf9da929d9a565d80a0d1c1f85a81330418a1b30fbaa0a6d7eecb9b2f189416882dafdb879feea98c9911c52493f SHA512 d424be80d68c84d3f561cbdfb487344308ba6af84d07cc16fe0631bfd609dce0e81fd2f7516c5fc1e1e359eacb3e06a4bde83cebf3909427f7e641b17e28f3d5
DIST gdata-provider-4.4.1.tar.xz 78728 BLAKE2B bfe04d714334c38c932d2186ffd859583176ef455b283534c5f8f9e1ab7dc13bdfb8c15db6007de482ab015afc2b8524aad725380bec75ee5f59ea81d6307ba9 SHA512 6c9b5ac41a1064bd1799d2a2f633c3064b27f1294ac3c8908cdef6c1d2eea7b602f2f7bf240b71f507fe9ad286588f030e12f49a41b3bed7bbcc99f3021369f9
DIST lightning-6.2.5.tar.xz 1745976 BLAKE2B 31e237f8d34ab2a2ac522767460467257d1f49d15fbe24f5b80dde9fb709ffafd0c0442d99c6643ce434cf7bdf0d670447f86da9fcdadc7ada6814431ef41e8a SHA512 1e997bb91d484908f225cc6e971874d308e8a8e2451a3e678f8a74bcb9e360babbd1f8aebcafb3e628ef5b10eb697ee47af2bfedbc956fee71d99084c8816235
DIST thunderbird-60.0-patches-0.tar.xz 10292 BLAKE2B a81ac6708389baff21accccac1511c1fc372324cac8bb3ee0f3b5d2a0690b6e22ef658b41c887b99168b43c4ea4bb0947d3e48ad9b7e80db558db22c976df868 SHA512 1dae465676b2ff4faae08ebf69e6bac46552bc0331659bf5f444c45b026e4c8d2fc46cd3758e3bd121716aa85d5dcc56de6483919f7f0077b9d9720574dbd1aa
@@ -56,3 +57,57 @@ DIST thunderbird-60.8.0-vi.xpi 637187 BLAKE2B 7ecd85e521b230a2de85382f0ca2588523
DIST thunderbird-60.8.0-zh-CN.xpi 626284 BLAKE2B 90576f52f491b6af98489ee02fd48a7e27ca25eb4090986abe0ae67edc866240fc77e3b9aeeb768759eef9f2cc0b138f6aa60f59473ad2e6d786e578ff5da194 SHA512 35fc72b7894b7a678c57e8b89332a3478bd8eb49db01e8cd74f9a347466f577ddbcfa07dde487478e9c120d462ada430b0a569ab50114a0f603cbceb8223a137
DIST thunderbird-60.8.0-zh-TW.xpi 626190 BLAKE2B e388d36ca6963d406372af7d26e9ea612cc69633a162fdf96f298a4d61753058cabdc5c4f400345751e7485a4f1bd5d75cb129dc993722f796936f3659da0ef0 SHA512 41abd5e0a83bb8da396e1b3f469be9c89a09aef74f2a6e9ee7cde27b8d09980b2539d1c36571b65cdafb1bbf765c671105c519db63aa33131781125dacdb3a83
DIST thunderbird-60.8.0.source.tar.xz 285643576 BLAKE2B 223915c001c19908db5a4d6a580ff210f45b5c61a06212ba630a2d1b348b49b7067985b3ef42ee1f69fdc14725aecafd36ecea55af42cb6f6e4e00197ffc2178 SHA512 b465544a8cbedf0aff0f737cf98e2d030331f1ea016b2e541dfe30a5cf3172f9075e5a9c8d6b7e0f97ffc2e0d3eebbaf9a39e76a499b9fc976bbc0c944dfd058
+DIST thunderbird-68.0-ar.xpi 617171 BLAKE2B 27a411e4d5cee4044ff1bf0d0354aa935fda5eb07b3654e5e001aa23ee4cd1f02c957eb77ac9c6562ff7f80a113ebd5756d121cb8b8032b9353b5b300ff87241 SHA512 1ee4620a960802fc8d73d0ab1afa89bca2b2f835004442ffd76a2fc0e48ab3ea3bd353f6b3e5a9b7111dbcb5b663c8b13e8c48ab3d06b8c7031b004e869e9908
+DIST thunderbird-68.0-ast.xpi 551303 BLAKE2B 9ecbf665a1b108c61836566cdfa6808c6f153b56b0295e476567e695f11eacd921cb06eb224736f783d501bcff14a2e01db02668c9d2497cba22e126996f36c3 SHA512 5deb769bcee2826d8e5d35bbaaa1c9df0006d4c83c3c0a008c09f3447b3d4c0972b87dd05b07bd9aadb75053973d837bda1fd469b50c6d21b71b6f42390e547f
+DIST thunderbird-68.0-be.xpi 646284 BLAKE2B ffdac9dc29ad762c5b0a204590ffacaf1f072277749695544554d7050ad84611f37106572f80a5a0c473d5ad5d07ac50c5d5beb537014b4b7ea7ef00ce619e1b SHA512 0fd2e939807cd1ede38308b0c931c1b9bf805f48c625fddb7d51f8b01067f68242c77726f442fd662259389bf580550fea92defca9fc1a508c394ef3ac2cddf8
+DIST thunderbird-68.0-bg.xpi 646231 BLAKE2B 1bdf1354b9016f65427158b7cdc6a579fca36b2371b822c67a865fe00730a3d27382a2cc95714907b079d98d5c751d6e47c3e50e7213a3745805baa32648f342 SHA512 4dc0f6cb5d9000a6fb247dc838ad0aa78403ec1cd877343e44dd21b3a8538017a697ca17a56305e242e9a4e5b463ff90f97eab4dceac96b7944c42464642b96c
+DIST thunderbird-68.0-br.xpi 574856 BLAKE2B 34beea12df59f89e4effc02e2cf80d4c1b6cf2bfc6295e8e0f978f5c50c2db3ef7607a5a9b5cd3729751c183628863f64c64c7ff2db9b9be085f2cf70b0608a2 SHA512 d7da4b12c55a0b5bf708c7ff1d479467fa66a2cc48e3478316b8137d4fd813bc479214a9a2b85633e886237dfa78330ee9ddd4ab8548939ad72cfb1aefee79e3
+DIST thunderbird-68.0-ca.xpi 578443 BLAKE2B 115c2a57bbe4a6c87310ac0bf23091db01e03428d8f3daf9c48b785abfca0533677927021d6731a42171f3d603f487708d7374e80025b9fccb744dc5f21a1066 SHA512 240fc2a770c70c8e86fe5b80efb8224d0ad7ab32df94da7ff995a0182a865d167d46410b0f2ac08569ad706340ca44d783e09d29716dac7ad19f21487b8f2f95
+DIST thunderbird-68.0-cs.xpi 603044 BLAKE2B b72472d609e23b5f1a1c77152daef006cd2813485240bd7350055a0a7f257becdd675b076d4a9365d997a80dc248c8ae2379a3ebaad1a0e0fb08aa790f47dd29 SHA512 2ad612175d867332907512aa3905bd4662d25c4ff2bd6d9b91ecdb5b4144f98dadd033dca289ec2e1ddbfc7ee381f2ee4e2eef6c0d1d1dee212a404333cdf8a4
+DIST thunderbird-68.0-cy.xpi 589906 BLAKE2B 822528f6a5600a62054397fcb0dbe6b1f544560160953de6ef7002e3400b899f648acecf3bc286359561222db6b7377da76cdabcbd3e4402cfd62b2c541d39fa SHA512 9981ad7b33a035d04d90fcdce7a537a08150671f6e81e2dccf61d2a6da213b2b1b7091ef93d80904dfd6cd7bbf978460f3f045384ae9cd5adbcdf747b434ce14
+DIST thunderbird-68.0-da.xpi 588353 BLAKE2B 8e45fd37b250e504f58094667704cf5c9d282943c64f8c2a2ee624eba0018b5a0c51897704ba6ce29a4ab3600fe89fb23528300415ce66b2f8d131f0631fa165 SHA512 1c210cebf73d21d59215a54e09b20ec08479e0c4058a92815c2e17c7f9713e3c6387f41194e2f562d3c7500a3e9cf0d0cadce5da83b972a51164a7334888b890
+DIST thunderbird-68.0-de.xpi 597808 BLAKE2B 64b275b262c402859e17b2a9caa7099349301a48d8c1370e3eaefcef46e4920933f98cdadcb8dfec4ede0881fd575fd7427a2e4a013a888cfe61c62c62b3732f SHA512 820a94b15c2cf1012739e44f6ff9c475ad60e67622931c696f0443d19892db2b697886452f0a9f9fba7d40611d5700ba602b8acdc6833122524e3aff0b05a976
+DIST thunderbird-68.0-el.xpi 699225 BLAKE2B e62dee23e0e92e087adbce7e37ee0e0f79f0ceaddbb0a701e78c17e7772fe611e0969f55614f049af10b688fc1ed2af4dc6d0aced35ea31bd1e3b045015dbfff SHA512 fa73410538d0576f596cc0595961183d81ff786f392a9a8dbaa8f269e16bbc968964be584d50d2170f18295c1b1a4a73514c7134a9d510e5cb2bbc662dc98659
+DIST thunderbird-68.0-en-GB.xpi 556407 BLAKE2B 764f6f0e8c81ccdbd5b1e2b362b18c2098b3dfe003afb9fc29f50cf6601d16cbf8d6823a62ee3795ee9a2fed593ed806d07d5c6ecdb373ae39534346d097211c SHA512 1bfe3e4ba5b7458656d96b9aff69c8bf33708f112616c87008081da5ef9c1295b224e828f5e738e1c729433ef2387ed8d9f09fcf4a479a86c73422dd50ae98a5
+DIST thunderbird-68.0-es-AR.xpi 596555 BLAKE2B 655546f97c74560c92071a5efb3c4c63328dbdf65951553fd4fc779c5f35f1865d5fe180e87991885f965444abeb3428c24a6f142baa38863fdbada4ef65929f SHA512 3b1e33d1f5bb76a0ea5f361f5d09624294eda230322bd350b1199e7d5ab691ce2a720e2c222bfc0244b537f695e8268529f69b5aeeab3ecdc356a7922e02a49c
+DIST thunderbird-68.0-es-ES.xpi 518355 BLAKE2B 6a1157a67f667260b6ec5e16320f9b04793be1a2efacaeb516f96d26aa1e247a3e519ea6c1bfea860df4f33ad25c0ae4db969aaeca2ebafc2629dd3d5f415c74 SHA512 3d24445196608d307a6aa4df261c1d4a6473f2bfb82530bdafdd0203587dccb38443e056abb14d735bf9d5ec1e022dc58e0b595c23c4e197195fbd4985200a50
+DIST thunderbird-68.0-et.xpi 573585 BLAKE2B 7ec4dc001da15c653f34f6a809e8ff6f9714013130545843aea23b8daad96a2d910416aeb22e67585e01442de81f433762e3251fc9fc0133d3d4c0de3068d174 SHA512 f540fe0ceab68782c781e81a43d1a425bbcdfa1af49f24113b6b30933cf86e9be7b3e8c34983a5f20311da29f4be90058d07b90297c06d886bcb580ff52fa0b6
+DIST thunderbird-68.0-eu.xpi 579949 BLAKE2B 132bd384dc626a26786b45e3bdd67bac278f9d31d3edcc658c707b3981e94a00303a2a79f10632706fa3394447e4941d71dcbc7563f02a44b678fd9f3a4adce8 SHA512 e2472954fd3b309c182f4359d4e34b029008441f4ec17cde94dd6e3ce97bbfc7a3c523f54ad7bcec5df1a4c36fa3190c8908416b6353fa069c50ec59d28e0ff7
+DIST thunderbird-68.0-fi.xpi 578422 BLAKE2B db7598b706edf7f28399a72a6b30f2f4ca75a4ac4af4e775086f93c39baeb70abd782b41e2034263e962ec24249b5d7256e2ffbc149e3200501bc600c2ddb57b SHA512 f61565baebe3fe086faf3f77724a27d2494bef6dff6d2c3592559a86871104484807d9760283eb6864c92207ceb12bd8d93f699da71ebd9a6aaaa48b729e40e9
+DIST thunderbird-68.0-fr.xpi 607814 BLAKE2B 7a12719e8a8418218b19655d71ca6727628f3841ee7ca857ee3b48926321b29d234863742968e0dfd82f0740ec2a1e92cd1d0b77b230161372cabf1f76deee46 SHA512 8ee94e558cd2854d5d3548f8808b56f4a7c81c57183278b823702499ae186ea2a9ddf91d2a9bc6d0a3b5cf70464a2e5827e8e26daa14ce30623f75d0d324f018
+DIST thunderbird-68.0-fy-NL.xpi 594471 BLAKE2B 6f7f9e5a8692efbcd8f487829fbfa7c15d6f330fa5799375f64a4992b16da299902c5bb20277e557ee775ef4b8f8e87b3ebf29b6823dc13a2dbed11af725fe03 SHA512 aa43427cb603bc5deab2c13cc8565aecc8e2bc505961c527e5eab2406868c0f798876501c9e3960bdffdbe4e13b1936a4b18bc728efb9413c3c67e91c9850384
+DIST thunderbird-68.0-ga-IE.xpi 588714 BLAKE2B f02c68d432e10d17a497fb08657ede02bbc1ee1e8c34b9c33ea315667241b9f8878558ddf98b4f3398f1dc77042cf501288681b527d92faed2148b3e5070ed29 SHA512 d3a71503480f5116e5224a7f9d46d2c5e7a96e2ae9bcc72db264fd89aaf14f85e3dd901fe8258c3f3cfce3a3f5fe8c1c9682eef08908bbd075374b0a9c56cc50
+DIST thunderbird-68.0-gd.xpi 587113 BLAKE2B 80b223cf0e2ce8fa45fb0d1d58a83c729c70a2058c8e115acc9773080c65c42ee8a2fef83572749c89abfb4fd9b73ddf7c4f599cc42e6b125f7d7a0f62346fd6 SHA512 34325901aab83cf273529c0039b9b1b66efc020f1e5f627d7e4b7542bef4fa1ce1bf072ebecd018350d8243929b76bede698157286bd1766472b733950b3853d
+DIST thunderbird-68.0-gl.xpi 568400 BLAKE2B 71c7dfd30cff2db1b8ae050bbe5e84dbf7af7bfdec7a344708ddcd08a9fd9af99c1970a3b38488593155c476e4c96172af389fc5f069157685a38cf89437c62f SHA512 0cce294684abe602884f39f06cdf9b757ce42424c1a85baaebbfaeb9db72d90f300706c3e1603d5fad147711d72c0b3e52295a4cd99145298bf3e71f94c0146f
+DIST thunderbird-68.0-he.xpi 604792 BLAKE2B 70e298a02f0fdaf532ef460e902aa104d97f2cf379367693ad7ca6c4846267cc56c479a8e9418661a62602a89e9282e5623fafa629ba7bcd204e541ecf1644c6 SHA512 aad7763b63011161bee42d8e1a8dddf118d3ea71b39d135cb049eccf97199ffaf2d10a8211ab1afcebaa2e3492672f98498da7e37eb197168e402964d3917dca
+DIST thunderbird-68.0-hr.xpi 583787 BLAKE2B af98f536e0cf26e2d949450efdcc79529056c38cd0eb267b2a3ab5ac5c895ca0ac97b0d78ea3853e03ac0eee51d2b0a45afe2cbe2850da17b7873608f0fa6f85 SHA512 ef327533082e6e8f35ecba996d0ae73c4d2e1f18d4dac7d323f7de2296394ad5ab26ecb2b996210c5d28319546d287addad74623ffed801ac548f8529624d04f
+DIST thunderbird-68.0-hsb.xpi 616039 BLAKE2B fedeef8593a328aa262985cd3982a1c23cf2e9da2f3ab119ef5424a71ca2fba23bc76d1534b682ef92212a58fef150266d3240ee934a53e8e5a8118b4203a41a SHA512 9254218b7628cdaf97af82239a05b8287cd3e07c01958a923d67a5f3b681f52c3ae96b8c33127b289f080eaf69e651218cfe9ebaa49f9c55303784658e79a4f2
+DIST thunderbird-68.0-hu.xpi 618159 BLAKE2B d215510661fbfc91345e3a4fab6bc97b22f2cc980c8b121c7403f2ecbaef75e9036f962316f0f4d1ff5afba20faac95f7e1efb205532bb6e25bc3d558b145cab SHA512 4da44d0f54ab8832e8eb5b4484fc06fb3bce0588fd0a4a01ebcc8f42f44c2600df368c7b9a7ecd55fb0473e6f1ce91fd26b6e6cf82f62d6f34c96345b4139027
+DIST thunderbird-68.0-hy-AM.xpi 630527 BLAKE2B fd238ef369849e74a4302dfd9835d9cfc7a9086182d2f06597a34a54b25d15b433b6f29472df25c638ba7722b597115f56f08b604c1e56354d07e6f0d1a0acdc SHA512 1884f9a7ee6ca9b5fd3104b446bc1779a5021de275ca245a7796dda487622ffb35f92b3693a48bcc9983bb79a82be700878546aa5321e29e7aaa7d63cb63362e
+DIST thunderbird-68.0-id.xpi 567750 BLAKE2B 829b7d86b6a7f486a0500fb76d8fe20a7de1e4e18cf2b817bdd23c6b3b26c3b518fb647c7d983be3812c59427700c1cabd1761a7c1428f8c3400dcc98d4eeb9e SHA512 e154cddeb48cbbbe090f42ae5fea785bca4086b753b6eecb958568a30c7970c761d672b164c970f2b06e6c446da34e5a70935e54c3886195b946b6c66dc1aac7
+DIST thunderbird-68.0-is.xpi 575444 BLAKE2B e1469a504c02d13c0229146c5e95dc411c7881a2dd73e3b83b32872526a8ced983e4c41f08efba7ca193027b9c4e3ef85e836303ddd889b35a87c676c654609a SHA512 e7fa884cea521f95f70840ab1e5c01ef0ae73c8c352b8201df95182864f2fb467dede7c1de5b8ee8a4b09212b1581f4e52fcc608e6463b581af0976a35c9685d
+DIST thunderbird-68.0-it.xpi 489522 BLAKE2B b48cf65017df7a97576d58e69c89e22e5d4b919a167a7cb11c942511150ae96fb7727e74ae053ce8192b93173c655ebd9d11c5befe331266d0b9ff48dd0f3eb9 SHA512 2242f359661904027afad7ca3edaa0af3e7ba2737b4e7a217efae55d3d7caae629dcd913945ae417de04197e70bc121370ddc92e11fd888dc57977ae803fde2d
+DIST thunderbird-68.0-ja.xpi 643578 BLAKE2B 86ea1d5494d69d5bf5c9ef33baf627c807f15b3da5fef79ade76a320e42bd163d2bf26bac8c3b58e103b4b68e5f729f281cc0a898a073e300069c26bc07b76bf SHA512 cbbf432c8f0eef14bd30d080187ed366c391ce98b963a7f413c2bcbf816a4c032c73daedd061cfde8088e6b8538a5286d74464762d56bfe709f737b4622dc277
+DIST thunderbird-68.0-ko.xpi 620532 BLAKE2B 640c4a4718e9fb75e4e57e48cc72e3ea69a59d45cb2755aeed44503bee1a6727615eeb06f46dec8aa10e98fb3a1ed27e70fc2b8b8e3bf47f342640c7b0c6ed64 SHA512 44b3714893997448cd6cb08793af861a434f1aedd9b52ff5ad4b461634fc8506958b2b4721cec906b623de91cd3fb948500f7d4633878c0331b7f98b529d4242
+DIST thunderbird-68.0-lt.xpi 603849 BLAKE2B f3ba5e2f40a4d4e1ed6819559248f65cd738fa35db56a3ca24eaa5a32721867abb28a16d61c1087f3397a8a63c01830cc1d35c0ce51d1487fb4d581241ddc7e1 SHA512 43cdc2e96c2d4897274c7e54efd64bb0ffc13f0ef7cd782937426df3f6f60d6bf45ec1f8e1f5a474b946c3a5c7e3ce055dae4d7526cc2462178d1f3f474145de
+DIST thunderbird-68.0-nb-NO.xpi 574024 BLAKE2B 95b409936005b7d94a3c1c54ea6b3032e47d4ffbee731b06e1dddee9e0077e4eded55ab3b76e1cfde619a6e4aed586a7f396c85db2026c358a1240f81f332320 SHA512 9dbf9ef59a3366d6901a30ef6511e41e32cb37d507c8867128394028f06f69fbd85de5d3fd7a1a3b1a18e60a40d91d66f569fcfa33c28f3de42f4a402a148e9d
+DIST thunderbird-68.0-nl.xpi 581358 BLAKE2B 35d574bbcb2348dcd864a9035d63189b0b5c6bca22b6123d04a234b7ee74a1542b80e9317aaaa83056ee435829284fd006d102ada8482bbd438721d55b29a203 SHA512 d421b341edda4a6fca9907df21a86a69d69f8c67a74fa8ccfa6eb9ed12971ffaca17ef28ce9002888d7dbccb99b29312a53277e29fab080009a0ebc0a67d4399
+DIST thunderbird-68.0-nn-NO.xpi 574952 BLAKE2B 15be15620ffbf34bf2149d1ebf9f7fa539478253a0ce06234cc011a5076efa4cd70f6739997cc131e300657bea2c91e9b4399b136da712ddebd1eb0f4cb81cbf SHA512 f2eb82d0364883d683e99c1fbc8d31ff7275d72a439859eb51b6e190c3411333f0102736ee206547d9578d4e6aa33f9ac7843c0b18ed2d4e1bb52cb5b4aa37fa
+DIST thunderbird-68.0-pl.xpi 576090 BLAKE2B aad0754f3e0d7ea994f71e46160d71bd54573a0765dc5978022f6255eb3f04cf28ec1ce7eafb2450c9fcfae3c0bb1897afb85459da9febfc6770458ff8421223 SHA512 73d931350b429fa61b822ec19fd169abeefbbf66dc496e2cc694763e28c2f3264996ca07deaf6819f91cc08e3fc11377e1a67dd98df5de2fcdc2e0ef053f35b0
+DIST thunderbird-68.0-pt-BR.xpi 589839 BLAKE2B 65402956dc9b102716c1ef7ffd2fdd9ac1236aa85aca8e5765fc8c720ae34b0bdab98077dc42fe1a6560c67fec5a06d62283b89217c1e5ff3c5fac2100e94313 SHA512 7a0d71960eb5d23bb1f5979d321c463cfcf8ebce5b60fc370e922468e8d3d4e95230549b447c32e70d75d39aa1a5b4ea2d793f423e1da8dc62a9a2be54796701
+DIST thunderbird-68.0-pt-PT.xpi 588106 BLAKE2B 741c7b0bedd2219bd8c274d1a192624c107344a0e8ce77c0f7a9f20db30d58a4519502cec617119d5fedd9ba1b47a2bd692762841c1654ab0bac28c314378aad SHA512 483d732c54bf516b9b06cdfaa48c246799ffa8cdb1dfb1fe67231a83abd0d2e5f5470133528f1fd297e6d961cff98404f6db3701bf48c48d25be7517e4965f0f
+DIST thunderbird-68.0-rm.xpi 578053 BLAKE2B 0864fd59d6a96a17f486a5570d69ea7e933e11225415357d02b11d01d3cfd24e9d627b312913fbb8a276d59aa504b875e1fdbfff987cf1ff8619ba74ee13484f SHA512 1bbe684e3a696103190d926dc1ec1e27453911b7267c36b87f615f1c97d6720513320f90992c48cd1293f37fd009f338da6c6832b49b0597af97d928058271c8
+DIST thunderbird-68.0-ro.xpi 594844 BLAKE2B a6ecaafcde838a1f2a6e33cfadc5f8bf2f6c873740677b9e0de75ee9c3b0b973f806407857ea27876f57149b1d7aadec31a9bb3216dfa494be52851c2ba66d1b SHA512 fa8c7e41fa9e15e2bb248fb2960221d3b5c45aae1e094593e7f7b03645d1a85d93de2d46002a2cf31a487e0d25079905372acbf22f9484bfe747a26ca90724f2
+DIST thunderbird-68.0-ru.xpi 683329 BLAKE2B 17b19ec36e586d4c515bd86a2dfa3041b5d6ddbe64c1e45d252eeecc9693bf6b70855f750960231eb2bef64e3a5f944b24f414f967634bc6c7b4024bdca293ab SHA512 ab70a04185bbcef1722bc6ac127289acce4bc6410c7732d3fe653d35d3a23b14eed9c51feed317efec47ffb5e8e560c3faa80550043beddff94be90c8be9ad9d
+DIST thunderbird-68.0-si.xpi 637408 BLAKE2B 5bd47ea8a09a76cb2aaf58e1e9acde919dad7de34cc86989cfe054689e13514f027061c36d2bf27122875db4c0406e759b72a8bd9117637af1bf60cfb6c6ee1a SHA512 1eb0f6728c205faee0c5e88c3801eda8f35a03e0fd5c20b7fbfa6c29aa2f804ef1d157342c17666b086c33305dbf53b706144b26b4172d6e8c91c782037f0d47
+DIST thunderbird-68.0-sk.xpi 609756 BLAKE2B 20d73444d2ae0abb41561cafff118a5a00451b7b52848c102801f9d4a860a8959ce969bf5ff1bea1e82dd909d2b853b2406d03742580ff2d74e684c00e25b137 SHA512 53f2fd7c22ee9381b38fa75290c65c57a452335944cb13cf710c064811207af2ffdbd11177f378d0cab6a5a5ac4ee3709b427f1c42b09ba3931bd73a3d503526
+DIST thunderbird-68.0-sl.xpi 590632 BLAKE2B 1cf13e500189398ce3bbaa495c0c1c69ed23443ec3fe3f96598ff3fd54b576715ca2d2c5691ac0c279b417effa1e4a477170ade32169ca93d932223642bf4a75 SHA512 b47d6ca7e6e110447e76f90d5e0d7ed23533da369a74578bb664c8a25539e4fd8583747fd4efa8ffafcfa5a01b2ed9c66c5a152fdd1f468ab2da00f6946078b6
+DIST thunderbird-68.0-sq.xpi 598904 BLAKE2B d34cda28594747e4a6ad699c071aebb599e3bb12bed97545dfb9baf3e852ec6c207e88dbfa553ab411e6d7ff5fc7b415c2f359e55102ef67e2fd42bed3422085 SHA512 7beafb5e1da2355866d4d14e38d6d0712fc6f10215a4923a941c1d1c775e79414b0ba58b647f79a4d36cf07c825d69e108d581c0ff2471a76500714499d9f57a
+DIST thunderbird-68.0-sr.xpi 624900 BLAKE2B 86950081a0b20b1db3df4c140fcdf1e9fcc3cbf8cf1287942a889dc6e18ccdb71e60e738f1e8968c265484166aea1fc6dec1398ad6377ae53c7d7753c812381f SHA512 f6b925a53e37ab50431a0062dd53171a1e59c5927c82706eea337d9eb7f3b03090bc383b1b8da5dddbbc67e3677962c0b1d79196ad839af7e7aa56cec73ea44f
+DIST thunderbird-68.0-sv-SE.xpi 591599 BLAKE2B c9ad5ffb39cca198da8b9ad3c9599c0be400d0eae6901c4acb82b9c71472ca78e4765fed1f85d2c1ea74fdcdd24670dce8340c392f1c71463e076566ee0c686c SHA512 24834d4e6a8badc3a4edf5d93e5a83249b96fff3cc9b918eae06c99457ae9ee399a2ac479ef3ab0cabb4d06dca44e56576913162dce643f725ecb051b5b6f283
+DIST thunderbird-68.0-tr.xpi 599711 BLAKE2B bb852ad1127ba445fd5f64f6b2cc90723cfc10a396915a73fc2c297872720abd9a166a6a24993fc08b5eb0d4ccfc8905e374886a13040e151e65e7921c584373 SHA512 83bcec20d0a137f5a7f480bfe3b05d32549fa7a4e07b449d96023a7b6b0b8a7e87ee0202de2a6e6b77e825ce048b021f27a243f7a8f6bce09fb0a8bd6dcc8306
+DIST thunderbird-68.0-uk.xpi 671458 BLAKE2B bd66d58c1a0770e4d4453d8b5d305943aa5012d365b4520670ee61cad1b569945bde7540a5747f66d6ad9cd56f8499e1111d90d2666d91b9149e7f34653f6f9d SHA512 55330dbd8bce9cdef80a081ab7219991e30da74a4e68eb7447c9a01f6a07db9f7fb12d2a7a826767cb70c112274c36119c9fe77f7896af9e2e28211bfc75f0e5
+DIST thunderbird-68.0-vi.xpi 623426 BLAKE2B 7692f160aa39dd0c221e6037074d02eaab8bcdc8f0f8c9a809211824fb0340be7ed7587eeb0c7bff27ced9b06f7f084a46d0d25354f0d5ea905bd7562625d701 SHA512 4fa2b202881d45680da6fed5e3c9332b64c6aa539e6f19f4568f06ec0819e7157392270a4009db2e45ba9815ce696a87179b2709839d68236405e88542892857
+DIST thunderbird-68.0-zh-CN.xpi 626822 BLAKE2B f752bbef52690476470161486e4ace8daaae45941f4f501341c70794ffcda1e3ee40436083eb543271cf0f6325e5a18c2ec912284ab89ca598a404e32e58e27d SHA512 5941448b8971b54ae783c7dcff796375aa60e9ae40f9d4e22bb4ae6d25454031defe8c49fdbfe9bccd397d41c74b860677ebdeded9471e0d90335036964ec74d
+DIST thunderbird-68.0-zh-TW.xpi 627478 BLAKE2B a2c827e9cdc6f6fa2fa2a59a31b3e719de2120d4d5e83ca1773e77191f343b81764bd7eba8cf7c806579dadf67b792f490a8ff3312ef9018be75e31c7f1e6013 SHA512 69780086f4749b01bf6b3a3c27422d239c78851de371eeea6212c69d347ede4620edba5f59045bfb1b008a083535c348056be1b44d61c188afb9c207f1513e9f
+DIST thunderbird-68.0.source.tar.xz 338451344 BLAKE2B 02e262b860076fe84adcfde2e208868576a48e63ceef4327e9a5196532e50c2a2b5069868d3b91d683373899257f377daf7a86d33eee1a0d4b8174e6eece2fea SHA512 91f82016b71d65b58c1383248ac6f7a8cd8217409323eb14e8aabf2e509391bba4d18e0aa6d0cdac191d10e9794977f22f509078b7c5e3ac7c22afe379a0f299
diff --git a/mail-client/thunderbird/files/1000_fix_gentoo_preferences.patch b/mail-client/thunderbird/files/1000_fix_gentoo_preferences.patch
new file mode 100644
index 0000000..0154210
--- /dev/null
+++ b/mail-client/thunderbird/files/1000_fix_gentoo_preferences.patch
@@ -0,0 +1,25 @@
+From: Jory A. Pratt <anarchy@gentoo.org>
+
+Add the gentoo preferences for the omni.jar creation
+
+diff --git a/mail/installer/package-manifest.in b/mail/installer/package-manifest.in
+--- a/mail/installer/package-manifest.in
++++ b/mail/installer/package-manifest.in
+@@ -313,16 +313,17 @@
+ @RESPATH@/components/devtools-startup.manifest
+ @RESPATH@/components/devtools-startup.js
+
+ ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+ ; Default Profile Settings
+ ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+ ; default pref files
++@RESPATH@/defaults/pref/all-gentoo.js
+ @RESPATH@/defaults/pref/all-thunderbird.js
+ @RESPATH@/defaults/pref/channel-prefs.js
+ @RESPATH@/defaults/pref/composer.js
+ @RESPATH@/defaults/pref/mailnews.js
+ @RESPATH@/defaults/pref/mdn.js
+ @RESPATH@/defaults/pref/smime.js
+ @RESPATH@/defaults/pref/thunderbird-branding.js
+ @RESPATH@/greprefs.js
diff --git a/mail-client/thunderbird/thunderbird-68.0-r1.ebuild b/mail-client/thunderbird/thunderbird-68.0-r1.ebuild
new file mode 100644
index 0000000..16c7092
--- /dev/null
+++ b/mail-client/thunderbird/thunderbird-68.0-r1.ebuild
@@ -0,0 +1,780 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+VIRTUALX_REQUIRED="pgo"
+WANT_AUTOCONF="2.1"
+MOZ_ESR=""
+MOZ_LIGHTNING_VER="6.2.5"
+MOZ_LIGHTNING_GDATA_VER="4.4.1"
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+PYTHON_REQ_USE='ncurses,sqlite,ssl,threads(+)'
+
+# This list can be updated using scripts/get_langs.sh from the mozilla overlay
+MOZ_LANGS=(ar ast be bg br ca cs cy da de el en en-GB en-US es-AR
+es-ES et eu fi fr fy-NL ga-IE gd gl he hr hsb hu hy-AM id is it
+ja ko lt nb-NO nl nn-NO pl pt-BR pt-PT rm ro ru si sk sl sq sr
+sv-SE tr uk vi zh-CN zh-TW )
+
+# Convert the ebuild version to the upstream mozilla version, used by mozlinguas
+MOZ_PV="${PV/_beta/b}"
+
+# Patches
+PATCHFF="firefox-68.0-patches-10"
+
+MOZ_HTTP_URI="https://archive.mozilla.org/pub/${PN}/releases"
+
+# ESR releases have slightly version numbers
+if [[ ${MOZ_ESR} == 1 ]]; then
+ MOZ_PV="${MOZ_PV}esr"
+fi
+MOZ_P="${PN}-${MOZ_PV}"
+
+LLVM_MAX_SLOT=8
+
+DESCRIPTION="Thunderbird Mail Client"
+HOMEPAGE="https://www.mozilla.org/thunderbird"
+
+KEYWORDS="~amd64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+SLOT="0"
+LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
+IUSE="bindist clang dbus debug hardened jack lightning neon pulseaudio
+ selinux startup-notification system-harfbuzz system-icu system-jpeg
+ system-libevent system-libvpx system-sqlite wifi"
+RESTRICT="!bindist? ( bindist )"
+
+PATCH_URIS=( https://dev.gentoo.org/~{anarchy,axs,polynomial-c,whissi}/mozilla/patchsets/${PATCHFF}.tar.xz )
+SRC_URI="${SRC_URI}
+ ${MOZ_HTTP_URI}/${MOZ_PV}/source/${MOZ_P}.source.tar.xz
+ https://dev.gentoo.org/~axs/distfiles/lightning-${MOZ_LIGHTNING_VER}.tar.xz
+ lightning? ( https://dev.gentoo.org/~axs/distfiles/gdata-provider-${MOZ_LIGHTNING_GDATA_VER}.tar.xz )
+ ${PATCH_URIS[@]}"
+
+
+inherit check-reqs eapi7-ver flag-o-matic toolchain-funcs eutils \
+ gnome2-utils llvm mozcoreconf-v6 pax-utils xdg-utils \
+ autotools mozlinguas-v2 virtualx
+
+IUSE="bindist clang cpu_flags_x86_avx2 dbus debug eme-free geckodriver
+ +gmp-autoupdate hardened hwaccel jack lightning lto neon pgo pulseaudio
+ +screenshot selinux startup-notification +system-av1 +system-harfbuzz
+ +system-icu +system-jpeg +system-libevent +system-sqlite +system-libvpx
+ +system-webp test wayland wifi"
+RESTRICT="!bindist? ( bindist )"
+
+CDEPEND="
+ >=dev-libs/nss-3.44.1
+ >=dev-libs/nspr-4.21
+ dev-libs/atk
+ dev-libs/expat
+ >=x11-libs/cairo-1.10[X]
+ >=x11-libs/gtk+-2.18:2
+ >=x11-libs/gtk+-3.4.0:3[X]
+ x11-libs/gdk-pixbuf
+ >=x11-libs/pango-1.22.0
+ >=media-libs/libpng-1.6.35:0=[apng]
+ >=media-libs/mesa-10.2:*
+ media-libs/fontconfig
+ >=media-libs/freetype-2.4.10
+ kernel_linux? ( !pulseaudio? ( media-libs/alsa-lib ) )
+ virtual/freedesktop-icon-theme
+ dbus? ( >=sys-apps/dbus-0.60
+ >=dev-libs/dbus-glib-0.72 )
+ startup-notification? ( >=x11-libs/startup-notification-0.8 )
+ >=x11-libs/pixman-0.19.2
+ >=dev-libs/glib-2.26:2
+ >=sys-libs/zlib-1.2.3
+ >=virtual/libffi-3.0.10:=
+ virtual/ffmpeg
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrender
+ x11-libs/libXt
+ system-av1? (
+ >=media-libs/dav1d-0.3.0:=
+ >=media-libs/libaom-1.0.0:=
+ )
+ system-harfbuzz? ( >=media-libs/harfbuzz-2.4.0:0= >=media-gfx/graphite2-1.3.13 )
+ system-icu? ( >=dev-libs/icu-63.1:= )
+ system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
+ system-libevent? ( >=dev-libs/libevent-2.0:0=[threads] )
+ system-libvpx? (
+ >=media-libs/libvpx-1.7.0:0=[postproc]
+ <media-libs/libvpx-1.8:0=[postproc]
+ )
+ system-sqlite? ( >=dev-db/sqlite-3.28.0:3[secure-delete,debug=] )
+ system-webp? ( >=media-libs/libwebp-1.0.2:0= )
+ wifi? ( kernel_linux? ( >=sys-apps/dbus-0.60
+ >=dev-libs/dbus-glib-0.72
+ net-misc/networkmanager ) )
+ jack? ( virtual/jack )
+ selinux? ( sec-policy/selinux-mozilla )"
+
+RDEPEND="${CDEPEND}
+ jack? ( virtual/jack )
+ pulseaudio? ( || ( media-sound/pulseaudio
+ >=media-sound/apulse-0.1.9 ) )
+ selinux? ( sec-policy/selinux-mozilla )"
+
+DEPEND="${CDEPEND}
+ app-arch/zip
+ app-arch/unzip
+ >=dev-util/cbindgen-0.8.7
+ >=net-libs/nodejs-8.11.0
+ >=sys-devel/binutils-2.30
+ sys-apps/findutils
+ || (
+ (
+ sys-devel/clang:8
+ !clang? ( sys-devel/llvm:8 )
+ clang? (
+ =sys-devel/lld-8*
+ sys-devel/llvm:8[gold]
+ pgo? ( =sys-libs/compiler-rt-sanitizers-8*[profile] )
+ )
+ )
+ (
+ sys-devel/clang:7
+ !clang? ( sys-devel/llvm:7 )
+ clang? (
+ =sys-devel/lld-7*
+ sys-devel/llvm:7[gold]
+ pgo? ( =sys-libs/compiler-rt-sanitizers-7*[profile] )
+ )
+ )
+ (
+ sys-devel/clang:6
+ !clang? ( sys-devel/llvm:6 )
+ clang? (
+ =sys-devel/lld-6*
+ sys-devel/llvm:6[gold]
+ pgo? ( =sys-libs/compiler-rt-sanitizers-6*[profile] )
+ )
+ )
+ )
+ pulseaudio? ( media-sound/pulseaudio )
+ >=virtual/cargo-1.34.0
+ >=virtual/rust-1.34.0
+ wayland? ( >=x11-libs/gtk+-3.11:3[wayland] )
+ amd64? ( >=dev-lang/yasm-1.1 virtual/opengl )
+ x86? ( >=dev-lang/yasm-1.1 virtual/opengl )
+ !system-av1? (
+ amd64? ( >=dev-lang/nasm-2.13 )
+ x86? ( >=dev-lang/nasm-2.13 )
+ )"
+
+REQUIRED_USE="wifi? ( dbus )
+ pgo? ( lto )"
+
+REQUIRED_USE="wifi? ( dbus )"
+
+S="${WORKDIR}/${MOZ_P%b[0-9]*}"
+
+BUILD_OBJ_DIR="${S}/tbird"
+
+# allow GMP_PLUGIN_LIST to be set in an eclass or
+# overridden in the enviromnent (advanced hackers only)
+if [[ -z $GMP_PLUGIN_LIST ]] ; then
+ GMP_PLUGIN_LIST=( gmp-gmpopenh264 gmp-widevinecdm )
+fi
+
+llvm_check_deps() {
+ if ! has_version --host-root "sys-devel/clang:${LLVM_SLOT}" ; then
+ ewarn "sys-devel/clang:${LLVM_SLOT} is missing! Cannot use LLVM slot ${LLVM_SLOT} ..."
+ return 1
+ fi
+
+ if use pgo ; then
+ if ! has usersandbox $FEATURES ; then
+ eerror "You must enable usersandbox as X server can not run as root!"
+ fi
+ fi
+
+ if use clang ; then
+ if ! has_version --host-root "=sys-devel/lld-${LLVM_SLOT}*" ; then
+ ewarn "=sys-devel/lld-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..."
+ return 1
+ fi
+
+ if use pgo ; then
+ if ! has_version --host-root "=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*" ; then
+ ewarn "=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..."
+ return 1
+ fi
+ fi
+ fi
+
+ einfo "Will use LLVM slot ${LLVM_SLOT}!"
+}
+
+pkg_setup() {
+ moz_pkgsetup
+
+ # Avoid PGO profiling problems due to enviroment leakage
+ # These should *always* be cleaned up anyway
+ unset DBUS_SESSION_BUS_ADDRESS \
+ DISPLAY \
+ ORBIT_SOCKETDIR \
+ SESSION_MANAGER \
+ XDG_SESSION_COOKIE \
+ XAUTHORITY
+
+ if ! use bindist ; then
+ einfo
+ elog "You are enabling official branding. You may not redistribute this build"
+ elog "to any users on your network or the internet. Doing so puts yourself into"
+ elog "a legal problem with Mozilla Foundation."
+ elog "You can disable it by emerging ${PN} _with_ the bindist USE-flag."
+ fi
+
+ addpredict /proc/self/oom_score_adj
+
+ llvm_pkg_setup
+}
+
+pkg_pretend() {
+ # Ensure we have enough disk space to compile
+ if use pgo || use debug || use test ; then
+ CHECKREQS_DISK_BUILD="8G"
+ else
+ CHECKREQS_DISK_BUILD="4G"
+ fi
+
+ check-reqs_pkg_setup
+}
+
+src_unpack() {
+ unpack ${A}
+
+ # Unpack language packs
+ mozlinguas_src_unpack
+}
+
+src_prepare() {
+ # Apply firefox patchset then apply thunderbird patches
+ eapply "${WORKDIR}/firefox"
+ pushd "${S}"/comm &>/dev/null || die
+ eapply "${FILESDIR}/1000_fix_gentoo_preferences.patch"
+ popd &>/dev/null || die
+
+ # Allow user to apply any additional patches without modifing ebuild
+ eapply_user
+
+ # Enable gnomebreakpad
+ if use debug ; then
+ sed -i -e "s:GNOME_DISABLE_CRASH_DIALOG=1:GNOME_DISABLE_CRASH_DIALOG=0:g" \
+ "${S}"/build/unix/run-mozilla.sh || die "sed failed!"
+ fi
+
+ # Drop -Wl,--as-needed related manipulation for ia64 as it causes ld sefgaults, bug #582432
+ if use ia64 ; then
+ sed -i \
+ -e '/^OS_LIBS += no_as_needed/d' \
+ -e '/^OS_LIBS += as_needed/d' \
+ "${S}"/widget/gtk/mozgtk/gtk2/moz.build \
+ "${S}"/widget/gtk/mozgtk/gtk3/moz.build \
+ || die "sed failed to drop --as-needed for ia64"
+ fi
+
+ # Fix sandbox violations during make clean, bug 372817
+ sed -e "s:\(/no-such-file\):${T}\1:g" \
+ -i "${S}"/config/rules.mk \
+ -i "${S}"/nsprpub/configure{.in,} \
+ || die
+
+ # Don't exit with error when some libs are missing which we have in
+ # system.
+ sed '/^MOZ_PKG_FATAL_WARNINGS/s@= 1@= 0@' \
+ -i "${S}"/browser/installer/Makefile.in || die
+
+ # Don't error out when there's no files to be removed:
+ sed 's@\(xargs rm\)$@\1 -f@' \
+ -i "${S}"/toolkit/mozapps/installer/packager.mk || die
+
+ # Keep codebase the same even if not using official branding
+ sed '/^MOZ_DEV_EDITION=1/d' \
+ -i "${S}"/browser/branding/aurora/configure.sh || die
+
+ # rustfmt, a tool to format Rust code, is optional and not required to build Firefox.
+ # However, when available, an unsupported version can cause problems, bug #669548
+ sed -i -e "s@check_prog('RUSTFMT', add_rustup_path('rustfmt')@check_prog('RUSTFMT', add_rustup_path('rustfmt_do_not_use')@" \
+ "${S}"/build/moz.configure/rust.configure || die
+
+ # Autotools configure is now called old-configure.in
+ # This works because there is still a configure.in that happens to be for the
+ # shell wrapper configure script
+ eautoreconf old-configure.in
+
+ # Must run autoconf in js/src
+ cd "${S}"/js/src || die
+ eautoconf old-configure.in
+}
+
+src_configure() {
+ MEXTENSIONS="default"
+ # Google API keys (see http://www.chromium.org/developers/how-tos/api-keys)
+ # Note: These are for Gentoo Linux use ONLY. For your own distribution, please
+ # get your own set of keys.
+ _google_api_key=AIzaSyDEAOvatFo0eTgsV_ZlEzx0ObmepsMzfAc
+
+ # Add information about TERM to output (build.log) to aid debugging
+ # blessings problems
+ if [[ -n "${TERM}" ]] ; then
+ einfo "TERM is set to: \"${TERM}\""
+ else
+ einfo "TERM is unset."
+ fi
+
+ if use clang && ! tc-is-clang ; then
+ # Force clang
+ einfo "Enforcing the use of clang due to USE=clang ..."
+ CC=${CHOST}-clang
+ CXX=${CHOST}-clang++
+ strip-unsupported-flags
+ elif ! use clang && ! tc-is-gcc ; then
+ # Force gcc
+ einfo "Enforcing the use of gcc due to USE=-clang ..."
+ CC=${CHOST}-gcc
+ CXX=${CHOST}-g++
+ strip-unsupported-flags
+ fi
+
+ ####################################
+ #
+ # mozconfig, CFLAGS and CXXFLAGS setup
+ #
+ ####################################
+
+ mozconfig_init
+ # common config components
+ mozconfig_annotate 'system_libs' \
+ --with-system-zlib \
+ --with-system-bz2
+
+ # Must pass release in order to properly select linker
+ mozconfig_annotate 'Enable by Gentoo' --enable-release
+
+ if use pgo ; then
+ if ! has userpriv $FEATURES ; then
+ eerror "Building firefox with USE=pgo and FEATURES=-userpriv is not supported!"
+ fi
+ fi
+
+ # Don't let user's LTO flags clash with upstream's flags
+ filter-flags -flto*
+
+ if use lto ; then
+ local show_old_compiler_warning=
+
+ if use clang ; then
+ # At this stage CC is adjusted and the following check will
+ # will work
+ if [[ $(clang-major-version) -lt 7 ]] ; then
+ show_old_compiler_warning=1
+ fi
+
+ # Upstream only supports lld when using clang
+ mozconfig_annotate "forcing ld=lld due to USE=clang and USE=lto" --enable-linker=lld
+ else
+ if [[ $(gcc-major-version) -lt 8 ]] ; then
+ show_old_compiler_warning=1
+ fi
+
+ if ! use cpu_flags_x86_avx2 ; then
+ local _gcc_version_with_ipa_cdtor_fix="8.3"
+ local _current_gcc_version="$(gcc-major-version).$(gcc-minor-version)"
+
+ if ver_test "${_current_gcc_version}" -lt "${_gcc_version_with_ipa_cdtor_fix}" ; then
+ # due to a GCC bug, GCC will produce AVX2 instructions
+ # even if the CPU doesn't support AVX2, https://gcc.gnu.org/ml/gcc-patches/2018-12/msg01142.html
+ einfo "Disable IPA cdtor due to bug in GCC and missing AVX2 support -- triggered by USE=lto"
+ append-ldflags -fdisable-ipa-cdtor
+ else
+ einfo "No GCC workaround required, GCC version is already patched!"
+ fi
+ else
+ einfo "No GCC workaround required, system supports AVX2"
+ fi
+
+ # Linking only works when using ld.gold when LTO is enabled
+ mozconfig_annotate "forcing ld=gold due to USE=lto" --enable-linker=gold
+ fi
+
+ if [[ -n "${show_old_compiler_warning}" ]] ; then
+ # Checking compiler's major version uses CC variable. Because we allow
+ # user to control used compiler via USE=clang flag, we cannot use
+ # initial value. So this is the earliest stage where we can do this check
+ # because pkg_pretend is not called in the main phase function sequence
+ # environment saving is not guaranteed so we don't know if we will have
+ # correct compiler until now.
+ ewarn ""
+ ewarn "USE=lto requires up-to-date compiler (>=gcc-8 or >=clang-7)."
+ ewarn "You are on your own -- expect build failures. Don't file bugs using that unsupported configuration!"
+ ewarn ""
+ sleep 5
+ fi
+
+ mozconfig_annotate '+lto' --enable-lto=thin
+
+ if use pgo ; then
+ mozconfig_annotate '+pgo' MOZ_PGO=1
+ fi
+ else
+ # Avoid auto-magic on linker
+ if use clang ; then
+ # This is upstream's default
+ mozconfig_annotate "forcing ld=lld due to USE=clang" --enable-linker=lld
+ elif tc-ld-is-gold ; then
+ mozconfig_annotate "linker is set to gold" --enable-linker=gold
+ else
+ mozconfig_annotate "linker is set to bfd" --enable-linker=bfd
+ fi
+ fi
+
+ # It doesn't compile on alpha without this LDFLAGS
+ use alpha && append-ldflags "-Wl,--no-relax"
+
+ # Add full relro support for hardened
+ if use hardened ; then
+ append-ldflags "-Wl,-z,relro,-z,now"
+ mozconfig_use_enable hardened hardening
+ fi
+
+ # Modifications to better support ARM, bug 553364
+ if use neon ; then
+ mozconfig_annotate '' --with-fpu=neon
+
+ if ! tc-is-clang ; then
+ # thumb options aren't supported when using clang, bug 666966
+ mozconfig_annotate '' --with-thumb=yes
+ mozconfig_annotate '' --with-thumb-interwork=no
+ fi
+ fi
+ if [[ ${CHOST} == armv*h* ]] ; then
+ mozconfig_annotate '' --with-float-abi=hard
+ if ! use system-libvpx ; then
+ sed -i -e "s|softfp|hard|" \
+ "${S}"/media/libvpx/moz.build
+ fi
+ fi
+
+ mozconfig_use_enable !bindist official-branding
+
+ mozconfig_use_enable debug
+ mozconfig_use_enable debug tests
+ if ! use debug ; then
+ mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
+ else
+ mozconfig_annotate 'enabled by Gentoo' --enable-debug-symbols
+ fi
+ # These are enabled by default in all mozilla applications
+ mozconfig_annotate '' --with-system-nspr --with-nspr-prefix="${SYSROOT}${EPREFIX}"/usr
+ mozconfig_annotate '' --with-system-nss --with-nss-prefix="${SYSROOT}${EPREFIX}"/usr
+ mozconfig_annotate '' --x-includes="${SYSROOT}${EPREFIX}"/usr/include \
+ --x-libraries="${SYSROOT}${EPREFIX}"/usr/$(get_libdir)
+ mozconfig_annotate '' --prefix="${EPREFIX}"/usr
+ mozconfig_annotate '' --libdir="${EPREFIX}"/usr/$(get_libdir)
+ mozconfig_annotate '' --disable-crashreporter
+ mozconfig_annotate 'Gentoo default' --with-system-png
+ mozconfig_annotate '' --enable-system-ffi
+ mozconfig_annotate '' --disable-gconf
+ mozconfig_annotate '' --with-intl-api
+ mozconfig_annotate '' --enable-system-pixman
+ # Instead of the standard --build= and --host=, mozilla uses --host instead
+ # of --build, and --target intstead of --host.
+ # Note, mozilla also has --build but it does not do what you think it does.
+ # Set both --target and --host as mozilla uses python to guess values otherwise
+ mozconfig_annotate '' --target="${CHOST}"
+ mozconfig_annotate '' --host="${CBUILD:-${CHOST}}"
+ if use system-libevent ; then
+ mozconfig_annotate '' --with-system-libevent="${SYSROOT}${EPREFIX}"/usr
+ fi
+
+ if ! use x86 && [[ ${CHOST} != armv*h* ]] ; then
+ mozconfig_annotate '' --enable-rust-simd
+ fi
+
+ # use the gtk3 toolkit (the only one supported at this point)
+ # TODO: Will this result in automagic dependency on x11-libs/gtk+[wayland]?
+ if use wayland ; then
+ mozconfig_annotate '' --enable-default-toolkit=cairo-gtk3-wayland
+ else
+ mozconfig_annotate '' --enable-default-toolkit=cairo-gtk3
+ fi
+
+ mozconfig_use_enable startup-notification
+ mozconfig_use_enable system-sqlite
+ mozconfig_use_with system-av1
+ mozconfig_use_with system-harfbuzz
+ mozconfig_use_with system-harfbuzz system-graphite2
+ mozconfig_use_with system-icu
+ mozconfig_use_with system-jpeg
+ mozconfig_use_with system-libvpx
+ mozconfig_use_with system-webp
+ mozconfig_use_enable pulseaudio
+ # force the deprecated alsa sound code if pulseaudio is disabled
+ if use kernel_linux && ! use pulseaudio ; then
+ mozconfig_annotate '-pulseaudio' --enable-alsa
+ fi
+
+ # Disable built-in ccache support to avoid sandbox violation, #665420
+ # Use FEATURES=ccache instead!
+ mozconfig_annotate '' --without-ccache
+ sed -i -e 's/ccache_stats = None/return None/' \
+ python/mozbuild/mozbuild/controller/building.py || \
+ die "Failed to disable ccache stats call"
+
+ mozconfig_use_enable dbus
+
+ mozconfig_use_enable wifi necko-wifi
+
+ mozconfig_use_enable geckodriver
+
+ # enable JACK, bug 600002
+ mozconfig_use_enable jack
+
+ # Other tb-specific settings
+ mozconfig_annotate '' --with-user-appdir=.thunderbird
+ mozconfig_annotate '' --enable-ldap
+ mozconfig_annotate '' --enable-calendar
+
+ # Enable/Disable eme support
+ use eme-free && mozconfig_annotate '+eme-free' --disable-eme
+
+ # Setup api key for location services and safebrowsing, https://bugzilla.mozilla.org/show_bug.cgi?id=1531176#c34
+ echo -n "${_google_api_key}" > "${S}"/google-api-key
+ mozconfig_annotate '' --with-google-location-service-api-keyfile="${S}/google-api-key"
+ mozconfig_annotate '' --with-google-safebrowsing-api-keyfile="${S}/google-api-key"
+
+ mozconfig_annotate '' --enable-extensions="${MEXTENSIONS}"
+
+ # disable webrtc for now, bug 667642
+ use arm && mozconfig_annotate 'broken on arm' --disable-webrtc
+
+ # allow elfhack to work in combination with unstripped binaries
+ # when they would normally be larger than 2GiB.
+ append-ldflags "-Wl,--compress-debug-sections=zlib"
+
+ if use clang ; then
+ # https://bugzilla.mozilla.org/show_bug.cgi?id=1482204
+ # https://bugzilla.mozilla.org/show_bug.cgi?id=1483822
+ mozconfig_annotate 'elf-hack is broken when using Clang' --disable-elf-hack
+ fi
+
+ echo "mk_add_options MOZ_OBJDIR=${BUILD_OBJ_DIR}" >> "${S}"/.mozconfig
+ echo "mk_add_options XARGS=/usr/bin/xargs" >> "${S}"/.mozconfig
+
+ # Finalize and report settings
+ mozconfig_final
+
+ mkdir -p "${S}"/third_party/rust/libloading/.deps
+
+ # workaround for funky/broken upstream configure...
+ SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
+ ./mach configure || die
+}
+
+src_compile() {
+ local _virtx=
+ if use pgo ; then
+ _virtx=virtx
+
+ # Reset and cleanup environment variables used by GNOME/XDG
+ gnome2_environment_reset
+
+ addpredict /root
+ addpredict /etc/gconf
+ fi
+
+ GDK_BACKEND=x11 \
+ MOZ_MAKE_FLAGS="${MAKEOPTS} -O" \
+ SHELL="${SHELL:-${EPREFIX}/bin/bash}" \
+ MOZ_NOSPAM=1 \
+ ${_virtx} \
+ ./mach build --verbose \
+ || die
+}
+
+src_install() {
+ cd "${BUILD_OBJ_DIR}" || die
+
+ # Pax mark xpcshell for hardened support, only used for startupcache creation.
+ pax-mark m "${BUILD_OBJ_DIR}"/dist/bin/xpcshell
+
+ # Copy our preference before omnijar is created.
+ cp "${FILESDIR}"/thunderbird-gentoo-default-prefs.js-2 \
+ "${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" \
+ || die
+
+ # set dictionary path, to use system hunspell
+ echo "pref(\"spellchecker.dictionary_path\", \"${EPREFIX}/usr/share/myspell\");" \
+ >>"${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+
+ # force the graphite pref if system-harfbuzz is enabled, since the pref cant disable it
+ if use system-harfbuzz ; then
+ echo "sticky_pref(\"gfx.font_rendering.graphite.enabled\",true);" \
+ >>"${BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+ fi
+
+ # force cairo as the canvas renderer on platforms without skia support
+ if [[ $(tc-endian) == "big" ]] ; then
+ echo "sticky_pref(\"gfx.canvas.azure.backends\",\"cairo\");" \
+ >>"{BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+ echo "sticky_pref(\"gfx.content.azure.backends\",\"cairo\");" \
+ >>"{BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" || die
+ fi
+
+ echo "pref(\"extensions.autoDisableScopes\", 3);" >> \
+ "{BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" \
+ || die
+
+ local plugin
+ use gmp-autoupdate || use eme-free || for plugin in "${GMP_PLUGIN_LIST[@]}" ; do
+ echo "pref(\"media.${plugin}.autoupdate\", false);" >> \
+ "{BUILD_OBJ_DIR}/dist/bin/defaults/pref/all-gentoo.js" \
+ || die
+ done
+
+ cd "${S}"
+ MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
+ DESTDIR="${D}" ./mach install || die
+
+ if use geckodriver ; then
+ cp "${BUILD_OBJ_DIR}"/dist/bin/geckodriver "${ED%/}"${MOZILLA_FIVE_HOME} || die
+ pax-mark m "${ED%/}"${MOZILLA_FIVE_HOME}/geckodriver
+
+ dosym ${MOZILLA_FIVE_HOME}/geckodriver /usr/bin/geckodriver
+ fi
+
+ # Install language packs
+ MOZ_INSTALL_L10N_XPIFILE="1" mozlinguas_src_install
+
+ local size sizes icon_path icon
+ if ! use bindist; then
+ icon_path="${S}/comm/mail/branding/thunderbird"
+ icon="${PN}-icon"
+
+ domenu "${FILESDIR}"/icon/${PN}.desktop
+ else
+ icon_path="${S}/comm/mail/branding/nightly"
+ icon="${PN}-icon-unbranded"
+
+ newmenu "${FILESDIR}"/icon/${PN}-unbranded.desktop \
+ ${PN}.desktop
+
+ sed -i -e "s:Mozilla\ Thunderbird:EarlyBird:g" \
+ "${ED}"/usr/share/applications/${PN}.desktop
+ fi
+
+ # Install a 48x48 icon into /usr/share/pixmaps for legacy DEs
+ newicon "${icon_path}"/default48.png "${icon}".png
+ # Install icons for menu entry
+ sizes="16 22 24 32 48 256"
+ for size in ${sizes}; do
+ newicon -s ${size} "${icon_path}/default${size}.png" "${icon}.png"
+ done
+
+ # Disable built-in auto-update because we update firefox through package manager
+ insinto ${MOZILLA_FIVE_HOME}/distribution/
+ newins "${FILESDIR}"/disable-auto-update.policy.json policies.json
+
+ # Add StartupNotify=true bug 237317
+ if use startup-notification ; then
+ echo "StartupNotify=true"\
+ >> "${ED}/usr/share/applications/${PN}.desktop" \
+ || die
+ fi
+
+ # Don't install llvm-symbolizer from sys-devel/llvm package
+ [[ -f "${ED%/}${MOZILLA_FIVE_HOME}/llvm-symbolizer" ]] && \
+ rm "${ED%/}${MOZILLA_FIVE_HOME}/llvm-symbolizer"
+
+ local emid
+ # stage extra locales for lightning and install over existing
+ emid='{e2fda1a4-762b-4020-b5ad-a41df1933103}'
+ rm -f "${ED}"/${MOZILLA_FIVE_HOME}/distribution/extensions/${emid}.xpi || die
+ mozlinguas_xpistage_langpacks "${BUILD_OBJ_DIR}"/dist/bin/distribution/extensions/${emid} \
+ "${WORKDIR}"/lightning-${MOZ_LIGHTNING_VER} lightning calendar
+
+ mkdir -p "${T}/${emid}" || die
+ cp -RLp -t "${T}/${emid}" "${BUILD_OBJ_DIR}"/dist/bin/distribution/extensions/${emid}/* || die
+ insinto ${MOZILLA_FIVE_HOME}/distribution/extensions
+ doins -r "${T}/${emid}"
+
+ if use lightning; then
+ # move lightning out of distribution/extensions and into extensions for app-global install
+ mkdir -p "${ED}"/${MOZILLA_FIVE_HOME}/extensions
+ mv "${ED}"/${MOZILLA_FIVE_HOME}/{distribution,}/extensions/${emid} || die
+
+ # stage extra locales for gdata-provider and install app-global
+ mozlinguas_xpistage_langpacks "${BUILD_OBJ_DIR}"/dist/xpi-stage/gdata-provider \
+ "${WORKDIR}"/gdata-provider-${MOZ_LIGHTNING_GDATA_VER}
+ emid='{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}'
+ mkdir -p "${T}/${emid}" || die
+ cp -RLp -t "${T}/${emid}" "${BUILD_OBJ_DIR}"/dist/xpi-stage/gdata-provider/* || die
+
+ # manifest.json does not allow the addon to load, put install.rdf in place
+ # note, version number needs to be set properly
+ cp -RLp -t "${T}/${emid}" "${WORKDIR}"/gdata-provider-${MOZ_LIGHTNING_GDATA_VER}/install.rdf
+ sed -i -e '/em:version/ s/>[^<]*</>4.1</' "${T}/${emid}"/install.rdf
+
+ insinto ${MOZILLA_FIVE_HOME}/extensions
+ doins -r "${T}/${emid}"
+ fi
+
+ # thunderbird and thunderbird-bin are identical
+ rm "${ED%/}"${MOZILLA_FIVE_HOME}/thunderbird-bin || die
+ dosym thunderbird ${MOZILLA_FIVE_HOME}/thunderbird-bin
+
+ # Required in order to use plugins and even run thunderbird on hardened.
+ pax-mark pm "${ED%/}"${MOZILLA_FIVE_HOME}/{thunderbird,plugin-container}
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+
+ # if the apulse libs are available in MOZILLA_FIVE_HOME then apulse
+ # doesn't need to be forced into the LD_LIBRARY_PATH
+ if use pulseaudio && has_version ">=media-sound/apulse-0.1.9" ; then
+ einfo "APULSE found - Generating library symlinks for sound support"
+ local lib
+ pushd "${ED}"${MOZILLA_FIVE_HOME} &>/dev/null || die
+ for lib in ../apulse/libpulse{.so{,.0},-simple.so{,.0}} ; do
+ # a quickpkg rolled by hand will grab symlinks as part of the package,
+ # so we need to avoid creating them if they already exist.
+ if [[ ! -L ${lib##*/} ]] ; then
+ ln -s "${lib}" ${lib##*/} || die
+ fi
+ done
+ popd &>/dev/null || die
+ fi
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+
+ if ! use gmp-autoupdate && ! use eme-free ; then
+ elog "USE='-gmp-autoupdate' has disabled the following plugins from updating or"
+ elog "installing into new profiles:"
+ local plugin
+ for plugin in "${GMP_PLUGIN_LIST[@]}"; do elog "\t ${plugin}" ; done
+ elog
+ fi
+
+ if use pulseaudio && has_version ">=media-sound/apulse-0.1.9" ; then
+ elog "Apulse was detected at merge time on this system and so it will always be"
+ elog "used for sound. If you wish to use pulseaudio instead please unmerge"
+ elog "media-sound/apulse."
+ elog
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}